Allows you to update tags to multiple contacts at once, you can add or remove tags from the contacts

http
POST https://services.leadconnectorhq.com/contacts/bulk/tags/update/{type}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
contactsstring[]Yeslist of contact ids to be processed
tagsstring[]Yeslist of tags to be added or removed
locationIdstringYesasdrwHvLUxlfw5SqKVCNaccount id from where the bulk request is executed
removeAllTagsbooleanNofalseOption to implement remove all tags. if true, all tags will be removed from the contacts. Can only be used with remove type.

Responses

201 - Successful response
  • succeded (boolean, required): Indicates if the operation was successful Example: True

  • errorCount (number, required): Number of errors encountered during the operation Example: 0

  • responses (string[], required): Responses for each contact processed

json
{
  "succeded": true,
  "errorCount": 0,
  "responses": [
    {
      "contactId": "qFSqySFkVvNzOSqgGqFi",
      "message": "Tags updated",
      "type": "success",
      "oldTags": [
        "tag-1",
        "tag-2"
      ],
      "tagsAdded": [],
      "tagsRemoved": []
    },
    {
      "contactId": "abcdef",
      "message": "contact id is not a valid firebase id",
      "type": "error"
    },
    {
      "contactId": "qFSqySFkVvNzOSqgGqFi",
      "message": "contact is deleted",
      "type": "error"
    },
    {
      "contactId": "3ualbhnV7j3n3a9r2moD",
      "message": "contact does not belong to account",
      "type": "error"
    }
  ]
}
400 - Bad Request
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/contacts/bulk/tags/update/YOUR_type' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "contacts": [
    "qFSqySFkVvNzOSqgGqFi",
    "abcdef",
    "qFSqySFkVvNzOSqgGqFi",
    "3ualbhnV7j3n3a9r2moD"
  ],
  "tags": [
    "tag-1",
    "tag-2"
  ],
  "locationId": "asdrwHvLUxlfw5SqKVCN",
  "removeAllTags": "false"
}'

Last updated October 26, 2026

Was this page helpful?